layoutLakesideCampfire.mExits =
{
}

layoutLakesideCampfire.mPOIs = 
{
}

layoutLakesideCampfire.mHOs = 
{
}

layoutLakesideCampfire.mIOs =
{
	[objectIoCampfire] = 
	{
		links = {objectHoWoodBundle, objectHoKindling, objectHoLighter},
	}
}
layoutLakesideCampfire.mGroups = 
{
	[objectHoWoodBundle] =
	{
		children = {objectHoWood01, objectHoWood02, objectHoWood03, objectHoWood04,
					objectHoWood05, objectHoWood06, objectHoWood07, objectHoWood08,
					objectHoWood09, objectHoWood10 },
		inventory = true,
		shoppinglist = false,
	}
}
-- ----------------------------------------------------------------------------
function layoutLakesideCampfire:onConstruct()
	
	Layout.onConstruct(self)
	
end
-- ----------------------------------------------------------------------------
function layoutLakesideCampfire:onInitialize()

	Layout.onInitialize(self)

	objectCampfireWoodBundle:ss(kInactive)
	
	objectKindling:ss(kInactive)

end

-- ----------------------------------------------------------------------------
function layoutLakesideCampfire:onUseObject(selectedObject, targetObject, targetProps)
	
	if (targetObject == objectIoCampfire) then
	
		if (selectedObject == objectHoKindling) then	
			objectKindling:setAlpha(0)
			objectKindling:ss(kIdle)
			objectKindling:animate("fadingInKindling_blocking",
				{ alpha=0								},
				{ alpha=1,		duration=kTimeFadeIn	}
			)
			playAudioTrack("KINDLING_TAKEN")
		elseif (selectedObject == objectHoWoodBundle) then	
			-- TODO fade in pile of wood
			objectCampfireWoodBundle:setAlpha(0)
			objectCampfireWoodBundle:ss(kIdle)
			objectCampfireWoodBundle:animate("fadingInSticks_blocking",
				{ alpha=0								},
				{ alpha=1,		duration=kTimeFadeIn	}
			)
			playAudioTrack("KINDLING_TAKEN")
		end
	end
	
	return Layout.onUseObject(self, selectedObject, targetObject, targetProps)
	
end